%define perl_major_ver %(eval `perl -V:version`; echo ${version%*.[0-9]*}.0)

Name:          perl-IO-Socket-Timeout
Version:       0.32
Release:       1mamba
Summary:       IO::Socket::Timeout - IO::Socket with read/write timeout
Group:         System/Libraries/Perl
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://www.cpan.org
Source:        https://cpan.metacpan.org/authors/id/D/DA/DAMS/IO-Socket-Timeout-%{version}.tar.gz
License:       GPL, Artistic
## AUTOBUILDREQ-BEGIN
BuildRequires: libperl
BuildRequires: perl-PerlIO-via-Timeout
BuildRequires: perl-devel
## AUTOBUILDREQ-END
Requires:      perl >= %perl_major_ver
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
IO::Socket::Timeout - IO::Socket with read/write timeout.

%prep
%setup -q -n IO-Socket-Timeout-%{version}

%build
%{__perl} Makefile.PL PREFIX=%{_prefix} INSTALLDIRS=vendor OPTIMIZE="%{optflags}"

%make
%make test

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall_perl

packlist=`find %{buildroot} -name .packlist`
[ -z "$packlist" ] && exit 1 || cat $packlist | \
   sed "s,%{buildroot},,g;s,.*/man/.*,&.gz,g" | \
   sort -u > .packlist && rm -f $packlist

strid=`echo $packlist | sed 's,.*auto\(.*\)/.packlist,\1,'`
for dir in `find %{buildroot} -type d | grep $strid`; do
   echo "%dir ${dir#%buildroot}" >> .packlist
done

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files -f .packlist
%defattr(-,root,root)
%doc LICENSE

%changelog
* Tue Feb 25 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 0.32-1mamba
- package created using the webbuild interface
